<?php

/* DCMS Special
 * Дата последнего редактирования 16.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../../sys/inc/{$inc}.php";
}

if (!isset($user)) {
    echo '<div class = "errs">Доступ закрыт</div>';
} else if (isset($user) && $user['level'] < 4) {
    echo '<div class = "errs">Доступ закрыт</div>';
} else {
    $set['title'] = 'Смайлы &amp; ' . $_SERVER['HTTP_HOST'];
    require_once H . 'sys/inc/thead.php';

    aut();

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/modules/smiles/'>" . lang('Смайлы') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Управление');
    echo "</small></div><br />";

    if (@$_GET['dir']) {
        msg('Директория удалена.');
    } else if (@$_GET['smi']) {
        msg('Смайл удалён');
    }

    $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `smiles_dir`"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];

    if ($k_post == 0) {
        $doc->NoResult();
    }

    $q = mysql_query("SELECT * FROM `smiles_dir` ORDER BY `pos` ASC LIMIT $start, $set[p_str]");
    while ($post = mysql_fetch_array($q)) {
        echo "<div class='list-group-item-null'>";
        $smile = mysql_result(mysql_query("SELECT COUNT(*) FROM `smiles_spis` WHERE `id_dir` = '$post[id]'"), 0);

        echo "<span style='float:right;'><a href='edit.php?id=$post[id]&amp;act=dir' class='hint--left' data-hint='Редактировать'><i class='fa fa-edit fa-fw'></i></a> <a href='del.php?id=$post[id]&amp;act=dir' class='hint--left' data-hint='Удалить'><i class='fa fa-trash-o fa-fw'></i></a></span>";

        echo "<a href='dir.php?id=$post[id]'><i class='fa fa-folder fa-fw'></i> " . toOutput($post['name']) . "</a> ($smile)<br/>";
        echo 'Для: ';

        if ($post['level'] == 0) {
            echo lang('пользователей') . '<br />';
        } else if ($post['level'] == 1) {
            echo lang('модераторов') . '<br />';
        } else if ($post['level'] == 2) {
            echo lang('супер модераторов') . '<br />';
        } else if ($post['level'] == 3) {
            echo lang('администраторов') . '<br />';
        } else if ($post['level'] == 4) {
            echo lang('главных администраторов') . '<br />';
        }
        echo "</div>";
        echo "<div class='hr'></div>";
    }

    if ($k_page > 1) {
        str('index.php?', $k_page, $page);
    }

    echo "<div class='list-group-item-null'>";
    echo "<a href='add.php?act=dir' class='btn btn-primary btn-sm'><i class='fa fa-plus fa-fw'></i> " . lang('Добавить директорию') . "</a>";
    echo "</div>";
}

require_once H . 'sys/inc/tfoot.php';
